package io.andromeda.design.foundation.colors.tokens

import androidx.compose.ui.graphics.Color as ComposeColor

internal object DefaultColorTokens {
    val White: ComposeColor = ComposeColor.White

    /**
     * Primary Dark colors
     */
    val activePrimaryDark: ComposeColor = ComposeColor(0XFF2196F3)
    val backgroundPrimaryDark: ComposeColor = ComposeColor(0xFF1C1D1D)
    val errorPrimaryDark: ComposeColor = ComposeColor(0XFFEA001F)
    val mutePrimaryDark: ComposeColor = ComposeColor(0xFF606161)
    val pressedPrimaryDark: ComposeColor = ComposeColor(0X332196F3)

    /**
     * Secondary Dark colors
     */
    val activeSecondaryDark: ComposeColor = ComposeColor(0XFF79c0f7)
    val backgroundSecondaryDark: ComposeColor = ComposeColor(0xFF333434)
    val errorSecondaryDark: ComposeColor = ComposeColor(0XFFEE324B)
    val muteSecondaryDark: ComposeColor = ComposeColor(0xFF242525)
    val pressedSecondaryDark: ComposeColor = ComposeColor(0X3379c0f7)

    /**
     * Tertiary Dark colors
     */
    val activeTertiaryDark: ComposeColor = ComposeColor(0XA62196F3)
    val backgroundTertiaryDark: ComposeColor = ComposeColor(0X2FFFFFFF)
    val errorTertiaryDark: ComposeColor = ComposeColor(0XA6EA001F)
    val muteTertiaryDark: ComposeColor = ComposeColor(0XA6E8E8E8)
    val pressedTertiaryDark: ComposeColor = ComposeColor(0X3379c0f7)

    /**
     * Border Dark colors
     */
    val activeBorderDark: ComposeColor = ComposeColor(0XFF104B79)
    val pressedBorderDark: ComposeColor = ComposeColor(0XFF061E30)
    val inactiveBorderDark: ComposeColor = ComposeColor(0XFFBCBCBC)
    val muteBorderDark: ComposeColor = ComposeColor(0xFF606161)
    val focusBorderDark: ComposeColor = ComposeColor(0XFF104B79)
    val errorBorderDark: ComposeColor = ComposeColor(0XFFEE324B)

    /**
     * Icon Dark colors
     */
    val iconDefaultDark: ComposeColor = ComposeColor(0xFFFFFFFF)
    val iconDisabledDark: ComposeColor = ComposeColor(0xFFD3D3D3)
    val iconActiveDark: ComposeColor = ComposeColor(0x8C2196F3)

    /**
     * Primary Light colors
     */
    val activePrimaryLight: ComposeColor = ComposeColor(0XFF2196F3)
    val backgroundPrimaryLight: ComposeColor = ComposeColor(0xFFFFFFFF)
    val errorPrimaryLight: ComposeColor = ComposeColor(0XFFEA001F)
    val mutePrimaryLight: ComposeColor = ComposeColor(0XFFE8E8E8)
    val pressedPrimaryLight: ComposeColor = ComposeColor(0X332196F3)

    /**
     * Secondary Light colors
     */
    val activeSecondaryLight: ComposeColor = ComposeColor(0XFF79c0f7)
    val backgroundSecondaryLight: ComposeColor = ComposeColor(0xFFE5E5E5)
    val errorSecondaryLight: ComposeColor = ComposeColor(0XFFEE324B)
    val muteSecondaryLight: ComposeColor = ComposeColor(0XFFFAFAFA)
    val pressedSecondaryLight: ComposeColor = ComposeColor(0X3379c0f7)

    /**
     * Tertiary Light colors
     */
    val activeTertiaryLight: ComposeColor = ComposeColor(0XA62196F3)
    val backgroundTertiaryLight: ComposeColor = ComposeColor(0X2F79c0f7)
    val errorTertiaryLight: ComposeColor = ComposeColor(0XA6EA001F)
    val muteTertiaryLight: ComposeColor = ComposeColor(0XA6E8E8E8)
    val pressedTertiaryLight: ComposeColor = ComposeColor(0X3379c0f7)

    /**
     * Border Light colors
     */
    val activeBorderLight: ComposeColor = ComposeColor(0XFF104B79)
    val pressedBorderLight: ComposeColor = ComposeColor(0XFF061E30)
    val inactiveBorderLight: ComposeColor = ComposeColor(0XFFBCBCBC)
    val muteBorderLight: ComposeColor = ComposeColor(0XFFE8F4FD)
    val focusBorderLight: ComposeColor = ComposeColor(0XFF104B79)
    val errorBorderLight: ComposeColor = ComposeColor(0XFFEE324B)

    /**
     * Icon Light colors
     */
    val iconDefaultLight: ComposeColor = ComposeColor(0xFF494A4A)
    val iconDisabledLight: ComposeColor = ComposeColor(0xFF606161)
    val iconActiveLight: ComposeColor = ComposeColor(0x8C2196F3)

    /**
     * Generic Content colors
     */
    val contentNormal: ComposeColor = ComposeColor(0XFF252A31)
    val contentMinor: ComposeColor = ComposeColor(0xFF4F5E71)
    val contentSubtle: ComposeColor = ComposeColor(0xFF697D95)
    val contentDisabled: ComposeColor = ComposeColor(0xFFA6B6C8)
}
